Bug 210443 - Update request: libopensync 0.19
Update request: libopensync 0.19
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libopensync (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.opensync.org/wiki/download
:
: 209281 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 02:57 EDT by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 06:51:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Spec file (3.66 KB, application/octet-stream)
2006-10-12 02:57 EDT, Michel Alexandre Salim
no flags Details
Updated rpath patch (4.82 KB, patch)
2006-10-12 02:58 EDT, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Michel Alexandre Salim 2006-10-12 02:57:36 EDT
Description of problem:
libopensync 0.19 is out, and I'm interested in packaging the SyncML plugin that
ships in sync with it. I've adapted the spec and rpath patch from libopensync
0.18, but the binary RPM still has rpath issue.

Version-Release number of selected component (if applicable):
0.18-7

How reproducible:
NA

Steps to Reproduce:
NA
  
Actual results:
NA

Expected results:
NA

Additional info:
Comment 1 Michel Alexandre Salim 2006-10-12 02:57:36 EDT
Created attachment 138307 [details]
Spec file
Comment 2 Michel Alexandre Salim 2006-10-12 02:58:26 EDT
Created attachment 138308 [details]
Updated rpath patch
Comment 3 Laurent Rineau 2006-10-19 08:54:34 EDT
I am highly interested in the syncml plugin too.
Comment 4 Andreas Bierfert 2006-10-19 11:38:20 EDT
Sorry for the delay... I hope to have all opensync stuff pushed latest by the
end of the weekend... at least thats the plan... =)
Comment 5 Andreas Bierfert 2006-10-20 06:51:25 EDT
Pushed.
Comment 6 Fernando Fernandez Pedraza 2006-10-20 11:10:00 EDT
Michel, could you please explain briefly the process to build the binaries with
the patches? 

I've tried to compile them in Fedora 5 with no success, with the purpose of get
syncml working. If I succeed there will be one more tester :-)

I patched, compiled and installed libopensync. Then tried to compile
libopensync-plugin-syncml.  It says:

''checking for PACKAGE... configure: error: Package requirements (opensync-1.0
glib-2.0 libsyncml-1.0 >= 0.4.0 libxml-2.0) were not met:
No package 'libsyncml-1.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables PACKAGE_CFLAGS
and PACKAGE_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.''

Previously I set: export PKG_CONFIG_PATH=/usr/lib64/pkgconfig/


Thanks a lot.
Comment 7 Michel Alexandre Salim 2006-10-20 18:00:35 EDT
You need to install libsyncml from http://libsyncml.opensync.org/ - rather
confusingly, there is a similar project at libsyncml.sourceforge.net that is
abandoned. I had to go to SuSE's repository viewer to find the correct version!

I'm probably going to have test RPMs for both libsyncml and
libopensync-plugin-syncml up this weekend. Stay tuned.
Comment 8 Andreas Bierfert 2006-10-21 03:00:38 EDT
Could you post the review number(s) here when you put the stuff up for review :)
I will be glad to review them.
Comment 9 Michel Alexandre Salim 2006-10-29 11:19:01 EST
Certainly. They're not ready at the moment yet - the packages build cleanly but
multisync-gui cannot graphically configure the syncml plugin. I'll let you know
when I can at least sync my phone with it.
Comment 10 Laurent Rineau 2006-11-24 07:34:02 EST
*** Bug 209281 has been marked as a duplicate of this bug. ***
Comment 11 Laurent Rineau 2006-12-12 07:48:20 EST
(In reply to comment #7)
> You need to install libsyncml from http://libsyncml.opensync.org/ - rather
> confusingly, there is a similar project at libsyncml.sourceforge.net that is
> abandoned. I had to go to SuSE's repository viewer to find the correct 
version!
> 
> I'm probably going to have test RPMs for both libsyncml and
> libopensync-plugin-syncml up this weekend. Stay tuned.

I now maintain FE packages for wbxml2 and libsyncml. I am waiting for the 
upgrade of libopensync to 0.20 (bug #217150) to submit a spec file for 
libopensync-plugin-syncml, if Andreas agrees.

As I have said at bug #217150, I would be happy to co-maintain libsyncml and 
wbxml2 (and other opensync.org packages) with some of you.

Note You need to log in before you can comment on or make changes to this bug.